This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 477359 - konsole creates new tab with LINES=24
konsole creates new tab with LINES=24
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-20 18:26 EST by Jonathan Wakely
Modified: 2010-07-25 08:47 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-19 06:42:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 176902 None None None Never

  None (edit)
Description Jonathan Wakely 2008-12-20 18:26:10 EST
Description of problem:

When opening a new tab in a konsole window with dimensions 80x40, the new tab has LINES=24 set in the environment.

Version-Release number of selected component (if applicable):

kdebase-4.1.3-2.fc10.x86_64

How reproducible:

Always

Steps to Reproduce:

1. Close all konsole windows
2. Open new konsole window, resize to 80x40, close window.
3. Open konsole window then open a new tab
4. In the new tab run 'echo $LINES ; resize ; echo $LINES'
  
Actual results:

$ echo $LINES ; resize ; echo $LINES
24
COLUMNS=80;
LINES=40;
export COLUMNS LINES;
40


Expected results:

$ echo $LINES ; resize ; echo $LINES
40
COLUMNS=80;
LINES=40;
export COLUMNS LINES;
40


Additional info:

Note that after running resize, the environment changes to the correct value.
This only seems to happen if the window is 80x40, any other size, e.g. 81x40 or 80x39 the value of $LINES is correct in the new tab.
Comment 1 Rex Dieter 2008-12-21 17:16:38 EST
I'm currently testing kde-4.2(beta2), and can't reproduce this there, so hopefully that means
Comment 2 Jaroslav Reznik 2009-01-05 04:18:11 EST
I can reproduce it in KDE 4.1 (kdebase-4.1.3-2.fc10.x86_64).
Comment 3 Jaroslav Reznik 2009-01-06 07:09:50 EST
And it is still reproducible in latest SVN trunk (clean, no Fedora patches). Looks like this bug: https://bugs.kde.org/show_bug.cgi?id=176902 (Vim in tabbed shell truncated to 24 lines).
Comment 4 Steven M. Parrish 2009-01-10 10:21:03 EST
Thank you for the bug report.  This issue needs to be addressed by the upstream developers.  Please submit a report at http://bugs.kde.org. You are requested to add the bugzilla link here for tracking purposes. Please make sure the bug isn't already in the upstream bug tracker before filing it.
Comment 5 Jonathan Wakely 2009-01-10 11:34:04 EST
the external bug is already linked, see comment #3
Comment 6 Kevin Kofler 2009-01-10 13:47:14 EST
Thanks, we will continue monitoring this upstream.
Comment 7 Kevin Kofler 2009-02-09 13:19:56 EST
Reopening to track KDE 4.2 push (reference added to the KDE 4.2 update, so Bodhi should autoclose it).
Comment 8 Jonathan Wakely 2009-02-20 13:29:24 EST
Thanks for continuing to monitor this upstream, although everybody failed to notice that it's not fixed upstream, and certainly isn't fixed in the current release.  Changing to CLOSED - UPSTREAM since that's a bit more accurate.
Comment 9 Kevin Kofler 2009-02-20 13:53:22 EST
It got included in my mass close because it got added to the kde42 tracker as fixed in 4.2. Apparently somebody incorrectly claimed it was fixed in 4.2. I've taken it off that tracker. Sorry for the mess.
Comment 10 Gabriel Ramirez 2010-02-13 23:33:31 EST
this bug happen with kde SC 4.4 kdebase-4.4.0-3.fc12.i686 but not with previous KDE SC RC ( 4.3.98, 4.3.5)

sometimes new created tabs are fine ( with LINES=40) and sometimes are not.(LINES=24)

Gabriel
Comment 11 Alain Baeckeroot 2010-07-25 08:47:39 EDT
from ubuntu , Konsole swaps COLUMNS and LINES , when a resize is done from inside a program (eg vi)

The following command line totally messes-up konsole until it is resized with mouse !

$ resize; vi /tmp/a +"set co=$(($COLUMNS + 3))" +:q; resize

Note You need to log in before you can comment on or make changes to this bug.